<?php
	/*
	 * Public Methods Name: please follow the same nomenclature than sbcapi (nodejs server)
	 */
require_once('/usr/local/www/berogui/includes/beronode/Api.php');

class ServerApi extends Api {

	/* [CONSTRUCTOR] */
	function __construct($loaded = null) {
		if (is_null($loaded)) {
			parent::__construct();
		}
		else {
			$this->socket = $loaded->socket;
			$this->has_error = $loaded->has_error;
			$this->socket_error = $loaded->socket_error;
		}
	}

	/* [PUBLIC METHODS] */
	public function state() {
		if ($res = $this->sendRequest('get', "/Server")) {
			return $res;
		}
		return ['error' => $this->getError('msg'), 'state' => 'ERROR'];
	}
}
?>
